
-----------------------------------
CHANGELOG - HISTORIQUE DES VERSIONS 
-----------------------------------

VERSION 26.4.0
--------------
Nouvelle option de suppression groupé des anciens emails du module Mail (cf historique)
Nouvelle option d'export de contact ou de profil utilisateur au format vCard (cf menu contextuel)
Ajout des images dans les export de contacts ou de profils utilisateurs au format vCard
Drag & drop des événements de l'agenda désormais sur mobile
Amélioration de l'affichage des menus contextuels des éléments
Optimisation d'affichage des agendas en vue semaine
Optimisation de sélection des destinataires des notifications
Correction de l'import de contacts CSV
Mise à jour de JQuery-UI en v1.14.2
Mise à jour de Datatable en v2.3.7
-----
New feature for bulk deletion of old emails from the Mail module
New feature to export contacts or user profiles in vCard format (context menu)
Adding images to contact or user profile exports in vCard format
Drag & Drop of calendar events available on mobile
Improved display of context menus for items
Optimized display of calendars in weekly view
Optimized selection of notification recipients
Fix CSV contact import
JQuery-UI updated to v1.14.2
Datatable updated to v2.3.7


VERSION 26.2
------------
Amelioration et Optimisation de l'édition des droits d'accès des éléments 
Amélioration de l'affichage des droits d'accès dans les menus contextuels
Amélioration de l'affichage des résultats dans le moteur de recherche
Amélioration du menu d'affectation des utilisateurs aux espaces
Nouvelle option pour afficher/masquer le password en page de connexion
Nouveau menu d'édition des mots de passe, désormais avec 8 caractères minimum
Optimisation de l'import et l'export des fichiers .iCal (module calendar)
Corrections diverses : log de connexion, url avec params, renommage de fichiers, etc
-----
Improved access rights editing menu
Improved display of access rights in context menus
Improved display of search results in the search engine
Improved menu for assigning users to spaces
New option to show/hide the password on the login page
New password editing menu, now with a minimum of 8 characters
Optimization of import and export of .iCal files (calendar module)
Various corrections: connection log, url with params, file renaming, etc.


VERSION 25.12
-------------
Amélioration du menu d'upload de fichier
Amélioration du contrôle d'extensions des fichiers uploadés
Amélioration du menu des droits d'accès sur mobile
Optimisation du module Historique des événements
Librairie Datatable mise à jour en v2.3.5 (module Historique des événements)
Réhabilitation du droit d'édition d'un événement pour les users étant ni auteur ni administrateur
Correction de l'affichage de menus sur l'application IOS pour Ipad
Correction de l'affichage des propositions d'événements avec notification par mail
Correction du positionnement des menus contextuels en bas de page d'iframes
-----
Improved file upload menu
Improved file extension control for uploaded files
Improved mobile access rights menu
Event History module optimization
Datatable library updated to v2.3.5 (Event History module)
Reinstatement of the right to edit an event for users who are neither author nor administrator
Fixed menu display on the iOS app for iPad
Fixed display of event suggestions with email notifications
Fixed positioning of context menus at the bottom of iframes


VERSION 25.11
-------------
Amélioration et diverses corrections d'affichage sur mobile et tablette
Optimisation d'affichage des événements périodiques et des événements privés
Correction du double affichage d'evenement périodique dû au changement d'heure été/hiver
Correction de l'affichage d'un évenement récurrent après suppression d'occurrence
-----
Various display improvements and fixes on mobile and tablet devices
Optimization of display of periodic events and private events
Fixed the issue of duplicate display of periodic events due to the summer/winter time change
Fixed the display of a recurring event after deletion of an occurrence


VERSION 25.10
-------------
Amélioration de la présentation des tâches : responsables, durée, etc.
Amélioration de la navigation et présentation sur application mobile
Ajout du contrôle et validation des formulaires via la librairie HTMLPurifier
Ajout du controle d'upload de fichier via whitelist
Optimisation du menu de proposition d'événement
Optimisation des créations d'archive Zip lors du download de dossier
Optimisation du contrôle des fonctions MobileFileDownload
Optimisation du controle des champs du moteur de recherche
Optimisation des filtres d'injection XSS
OAuth via "google-api-php-client" mis à jour en v2.18.3
-----
Improved task presentation : responsible persons, duration, etc.
Improved navigation and presentation on the mobile app
Added form control and validation via the HTMLPurifier library
Added file upload control via whitelist
Optimization of the event proposal menu
Optimized Zip archive creation during file uploads
Optimized MobileFileDownload function control
Optimized search engine field control
Optimized XSS injection filters
OAuth via "google-api-php-client" updated to v2.18.3


VERSION 25.8
------------
Affichage direct d'un element (fichier, evenement, etc.) depuis une URL de partage (URL externe)
Optimisation des fonctions de controle de texte
Optimisation de l'affichage des lightboxes
Optimisation du download de fichier via l'application mobile
Optimisation de l'encodage des caractères importés en UTF-8
Correction des descriptions de notifications par email
Correction de l'affichage des agendas par défaut
Mise à jour de la documentation
-----
Direct display of an element (file, event, etc.) from a shared URL (external URL)
Optimized text control functions
Optimized lightbox display
Optimized file uploads via the mobile app
Optimized the encoding of imported characters in UTF-8
Fixed email notification descriptions
Fixed default calendar display
Documentation update


VERSION 25.6
------------
Amélioration du menu de sélection des agendas affichés
Amélioration de la messagerie instantanée
Amélioration du menu de pagination
Nouvelle visionneuse d'images (Rotation, Diaporama, Vignettes, etc.)
Simplification des éditions d'evenements et sélection/affectation aux agendas
Optimisation de l'affichage des menus responsives
Optimisation de la gestion des droits d'accès aux éléments
Optimisation de l'affichage de l'historique des emails
Optimisation de la gestion des préférences en Bdd/Session
Correction des propositions d'événement par les invités
Correction de l'intégration des images d'emails reloadés
Correction de l'affichage après suppression d'une version de fichier
Correction de libellé de catégories d'événement par défaut
Mise à jour majeure de Fancybox en v5.0.36
Mise à jour de l'éditeur TinyMce en v7.9.1
Mise à jour de PHPMailer en v6.10.0
-----
Improved menu for selecting displayed calendars
Improved instant messaging display
Improved pagination menu
New images viewer (Rotate, Slideshow, Thumbnails, etc.)
Simplification of events editing and selection/affectation to calendars
Optimized responsive menus display
Optimization of object access rights management
Optimization of email history display
Optimization of preference management in DB/Session
Fixed event proposals by guests
Fixed integration of reloaded email images
Fixed display after deleting a file version
Fixed default event category labeling
Fancybox major update to v5.0.36
TinyMce editor update to v7.9.1
PHPMailer updated to v6.10.0


VERSION 25.3
------------
Nouvelle fonction de drag/drop en vue "semaine" pour déplacer l'heure/date d'un événement
Nouvel affichage des fenêtres de confirmation (JS "confirm()")
Nouvelle présentation du menu principal
Nouvelle traduction en Allemand
Ajout des dates de changement d'heure hiver/été dans les calendriers
Amélioration de l'éditeur TinyMce sur mobile
Amélioration des affichages sombre/clair
Amélioration de l'affichage des evenements périodiques
Optimisation des menus contextuels sur mobile
Optimisation de l'affichage des agendas
Optimisation du swipe de navigation dans les agendas
Optimisation des menus de confirmation d'événement
Optimisation du formulaire d'installation de l'appli
Correction du nom des dossiers téléchargés
Correction de l'affichage des heures d'été/hiver sur l'agenda semaine
Optimisation majeures du fichier app.js
Mise à jour de l'éditeur TinyMce en v7.7.2
Mise à jour de PHPMailer en v6.9.3
-----
New drag/drop function to change the time/date of an event (Week view)
New confirmation dialog (JS "confirm()")
New main menu presentation
New German translation
Dates of winter/summer hour switch in calendars
Improved TinyMce editor on mobile devices
Improved dark/light displays
Improved display of periodic events
Optimisation of the context menus on mobile
Optimization of calendar display
Optimization of swipe navigation in calendars
Optimization of event confirmation menus
Optimisation of the installation form
Fixed the name of downloaded folders
Fixed the display of summer/winter hours on the weekly calendar
Major optimizations of the app.js file
TinyMce editor updated to v7.7.2
PHPMailer updated to v6.9.3


VERSION 25.1
------------
Amélioration de l'import de contacts via Google People
Fusion des champs de paramétrage général "gPeopleApiKey" et "mapApiKey" via "gApiKey"
Corrections et optimisations diverses
-----
Improved import of contacts via Google People
Merged general setting fields "gPeopleApiKey" and "mapApiKey" via "gApiKey"
Various fixes and optimizations


VERSION 24.12
-------------
Optimisation de l'affichage des agendas
Nouvelle traduction en Italien
Optimisation de l'affichage des cartes via GMaps
Corrections et optimisations diverses
-----
Optimization of the display of calendars
New Italian translation
Map display optimizations via GMaps
Various fixes and optimizations


VERSION 24.11
-------------
Nouvel affichage des agendas sur 7 jours consécutifs (en + de "semaine")
Amélioration de l'impression des agendas mois/semaine
Amélioration de l'affichage des créneaux occupés lors de l'édition d'un événement
Optimisation des modes d'affichage des agendas sur mobile
Meilleure gestion du téléchargement de fichier sur l'application mobile
Amélioration du menu de lancement des visioconférences
Amélioration du menu de connexion / d'authentification
Correction d'affichage avec l'application IPad
Correction d'affichage des agendas semaine sur Mac Safari
-----
New display of calendars over 7 consecutive days (in addition to "week")
Better management of printing month/week calendars
Improved display of occupied slots when editing an event
Optimization of calendar display modes on mobile
Improved management of file download on mobile App
Improvement of the launch menu of videoconferences
Improved login/authentication menu
Fixed display with the IPad application
Fixed display of weekly calendars on Mac Safari


VERSION 24.8
------------
Amélioration de l'ergonomie et performances d'affichage des agendas
Meilleure prise en charge de l'affichage des agendas en mode sombre
Optimisation de l'affichage pour les événements se chevauchant
Amélioration de l'option "Imprimer l'agenda"
Amélioration des contrôles et affichages des dates/heures dans l'édition des événements
Correction d'accès aux espaces pour les invités
Mise à jour de TinyMce en v7.3.0
Mise à jour de JQuery-UI en v1.14.0
Mise à jour de Jquery.timepicker en v1.14.1
-----
Improved ergonomy and display performance of calendars
Better support for displaying the calendar in dark mode
Optimized display for overlapping events
Improved "print calendar" option
Improved date/time controls and displays in event editing
Fixed guest space access
TinyMce updated to v7.3.0
JQuery-UI updated to v1.14.0
Jquery.timepicker updated to v1.14.1


VERSION 24.6
------------
Nouvelle option du paramétrage général pour afficher/masquer l'email des utilisateurs
Amélioration du menu de paramétrage général
Amélioration de la présentation des sujets et messages du forum
Amélioration du menu de validation des inscriptions d'utilisateurs
Optimisation des menus "like" et "commentaire"
Optimisation des contrôles d'accès en page de connexion
Optimisation de la fonction "Txt::clean()"
Correction de l'export de fichier Ical via URL
Amélioration du filtre XSS GET/POST
Nouvelle traduction portugaise de l'application
Mise à jour de TinyMce en v7.1.2
Mise à jour de la librairie Ical pour l'import des agendas
-----
New general settings option to show/hide user email
Improved general settings menu
Improved presentation of forum topics and messages
Improved user registration validation menu
Optimization of the "like" and "comment" menus
Optimization of access controls on the login page
Optimization of the fonction "Txt::clean()"
Fixed Ical file export via URL
Improved XSS GET/POST filter
New Portuguese translation of the application
TinyMce updated to v7.1.2
Updating the Ical library for importing calendars


VERSION 24.4
------------
Nouveau menu d'affichage des Catégories d'événement, Themes du forum et Status des Tâches
Nouvelle interface d'édition des Catégories d'événement, Themes du forum et Status des Tâches
Nouvelle présentation du forum, plus épuré et ergonomique
Correction des conflits des tokens de connexion entre mobile et Desktop
Correction de l'affichage des contacts/utilisateurs dans GoogleMap/OpenStreetMap
Optimisation pour PHP 8.3
Version PHP 7.0 ou+ requise, au lieu de PHP 5.6
-----
New display menu for Event Categories, Forum Themes and Task Status
New interface for editing Event Categories, Forum Themes and Task Status
New presentation of the forum, more refined and ergonomic
Correction of connection token conflicts between mobile and desktop
Fix display of contacts/users in GoogleMap/OpenStreetMap
Optimizing for PHP 8.3
PHP version 7.0 or more required, instead of PHP 5.6


VERSION 24.2
------------
Nouvelle option des tâches pour attribuer un état "A faire", "En cours", "Terminé", etc.
Nouvelle option pour réordonner les thèmes du forum et catégories d'événement
Amélioration de la gestion des thèmes du forum et catégories d'événement (colorPicker, ergonomie)
Amélioration du menu des "agendas disponibles"
Amélioration de menu d'édition des événements de l'agenda
Amélioration de l'affichage en "mode sombre"
Optimisation du contrôle de l'édition des agendas partagés d'espace
Optimisation des contrôles de l'installation et mise à jour de l'application (time Zone & Bdd)
Optimisation de l'appel de l'éditeur TinyMce
Optimisation des contrôles des formulaires principaux
Optimisation pour PHP 8.3
Mise à jour de PHPMailer en v6.7.1
Mise à jour de TinyMce en v6.8.2
Mise à jour de JQuery-UI en v1.13.2
-----
New task option to assign a status "To do", "In progress", "Finished", etc.
New option to reorder forum themes and event categories
Improved management of forum themes and event categories, etc. (color Picker and co)
Improved "available calendars" menu
Improved calendar events editing menu
Improved "dark mode" display
Optimization of editing control of shared space calendars
Optimization of application installation & update controls (time Zone and DB)
Optimization of the TinyMce editor call
Optimizing main form controls
Optimizing for PHP 8.3
PHP-Mailer updated to v6.7.1
TinyMce updated to v6.8.2
JQuery-UI updated to v1.13.2


VERSION 23.10
-------------
Amélioration du menu principal
Amélioration de la gestion des "Screen orientation" sur mobile
Fichiers joints dans les menus d'edition des objets : ajout d'une vignette pour les images
Optimisation des contrôles d'upload des fichiers
Renommage des cles de traduction des toolips
Amélioration des notifications d'envoi des emails
Correction de l'affichage des logs avec PHP 8.1 +
TinyMce mis à jour en v6.7.0
JQuery mis à jour en  v3.7.1
OAuth via "google-api-php-client" mis à jour en v2.15.1
-----
Improved main menu
Improved management of "Screen orientation" on mobile
Attached files in object editing menus : addition of a thumbnail for images
Optimization of file upload controls
Renaming toolip translation keys
Improved email sending notifications
Fixing the display of logs with PHP 8.1 +
TinyMce updated to v6.7.0
JQuery updated to v3.7.1
OAuth via "google-api-php-client" updated to v2.15.1


VERSION 23.7
------------
Nouvelle option pour copier/coller des images directement dans l'éditeur TinyMce
Mise à jour de l'éditeur TinyMce en 6.6.0
Amélioration du moteur de recherche et de la présentation des résultats
Correction de l'affichage des cartographies sur Leaflet / OpenStreetmap (désactivation de mapbox)
Nouvelle fonction "mailEnabled()" pour vérifier que "mail()" de PHP est activé ou qu'un paramétrage SMTP a été spécifié
Amélioration des contrôles de sécurité sur les fichiers uploadés
Amélioration de la connexion auto via "userAuthToken"
-----
New option to copy/paste images directly in the TinyMce editor
TinyMce updated to v6.6.0
Improvement of the search engine and the presentation of results
Fixed display of maps on Leaflet / OpenStreetmap (mapbox disabled)
New "mailEnabled()" function to check that PHP "mail()" is enabled or that an SMTP setting has been specified
Improved security checks on uploaded files
Improved auto connection via "userAuthToken"


VERSION 23.5
------------
Ajout du nom de l'élément  dans les confirmations de suppression
Optimisation du processus de mise à jour de l'appli
Correction du téléchargement de dossier
-----
Add of the name of the element in the confirmation of deletion
Optimization of the app update process
Fixed folder download issue


VERSION 23.4
------------
Meilleure ergonomie du menu de navigation dans l'arborescence de dossiers
Mise en cache des arborescences de dossier pour un affichage plus rapide (jusqu'à 20x plus rapide)
Amélioration du contrôle des fichiers joints aux notifications par mail
Amélioration de la sécurisation des connexions auto via password_hash(), Bcrypt et token temporaire en bdd
Amélioration des contrôles du formulaire d'installation
-----
Improved ergonomics of the navigation menu in the folder tree
Caching of folder trees for faster display (up to 20x faster)
Improved control of files attached to email notifications
Improved security of auto connections via password_hash(), Bcrypt and temporary token in db
Improved installation form controls


VERSION 23.2
------------
Nouvelle option pour ajouter des destinataires dans les emails de notification
Optimisation de la fonction sendMail() 
Amélioration de l'affichage des dates de l'agenda
Amélioration de l'ergonomie de la page de connexion
Mise à jour de Google OAuth
Mise à jour de PHPMailer en v6.7.1
Mise à jour de l'éditeur TinyMce en v6.3.1
-----
Optimization of the sendMail() function
Option to add recipients in notification emails
Improved calendar dates display
Improved login page
Google OAuth Update
PHPMailer updated to version 6.7.1
TinyMce updated to version 6.3.1 


VERSION 22.12
-------------
Optimisation du download de fichiers
Correction de la creation de vignette des .Pdf protégés par password
Optimisation du menu principal et de la messagerie instantanée
Mise à jour de PHPMailer en v6.6.5
Mise à jour de PlUpload en v3.1.5
-----
Optimization of file downloading
Fixed creation of thumbnail of .Pdf protected by password
Optimization of the main menu and the instant messenger
PHPMailer updated to version 6.6.5
PlUpload updated to version 3.1.5 


VERSION 22.9
------------
Optimisation de la fonction de formatage des dates/heures
Optimisation de compatibilités avec PHP 8.1
Conversion en Utf8 des anciennes tables en Latin1
Correction de l'import d'événements  sur Thunderbird Calendar
-----
Optimization of the date/time formatting function
Optimization of compatibilities with PHP 8.1
Conversion to Utf8 of old tables in Latin1*
Fixed import of events on Thunderbird Calendar


VERSION 22.3
------------
Amélioration des emails de notifications
Amélioration de l'affichage des droits d'accès aux objets
Amélioration de l'affichage des affectations aux agendas dans l'édition d'événements
Amélioration du menu d'affichage des news archivées et sondages déjà votés
Ajout d'un champ libre d'emails dans le module Mail
Contrôle  de la taille des fichiers joints dans le module Mail
Correction de compatibilités avec PHP 8.1
Correction de l'affichage des propositions d'événement si accès en écriture à l'agenda
Correction de l'affichage des Emojis dans les descriptions et les emails
Corrections et optimisations diverses
-----
Improved email notifications
Improved display of object access rights
Improved display of agenda assignments in event editing
Improvement of the menu for displaying archived news and already voted polls
New free email field in the Mail module
Control of the size of attached files in the Mail module
Fixed compatibilities with PHP 8.1
Fixed the display of event proposals if write access to the calendar
Fixed display of Emojis in descriptions and emails
Various fixes and optimizations


VERSION 21.12
-------------
Amélioration du menu des droits d'accès des objets et des notifications email
Amélioration du menu de sélection des objets
Amélioration de la connexion et l'import LDAP
Amélioration et optimisation des styles CSS
Nouvelle option de sélection de plusieurs sujets du forum pour suppression
Corrections et optimisations diverses
-----
Improvement of the access rights menu for objects and email notifications
Improved item selection menu
Improved connection and LDAP import
Improvement and optimization of CSS styles
New option to select multiple forum topics for deletion
Various fixes and optimizations


VERSION 21.10
-------------
Nouvelle fonctionnalité d'ajout et édition d'image/video directement depuis l'éditeur de texte TinyMce
Nouvelle option du paramétrage général : url de visio alternative (Jitsi)
Amélioration de la gestion des Newsletters avec intégration d'images dans l'éditeur
Amélioration de la gestion des fonds d'écran
Correction de l'import/export des agendas au format Ical
Optimisations de "Txt::reduce()" et autres fonctions de base
Mise à jour de l'éditeur TinyMce en v5.9.2
Mise à jour de PHPMailer en v6.5.1
Mise à jour du Parser Ical en v2.2.2
------
New feature for adding and editing images directly from the TinyMce text teditor
New general configuration option : alternative visio url (Jitsi)
Improved management of Newsletters with integration of images in the editor
Improved wallpaper management
Correction of the import/export of calendars in Ical format
Optimizations of "Txt::reduce()" and other basic functions
TinyMce updated to v 5.9.2
PHPMailer updated to version 6.5.1
Ical Parser updated to version 2.2.2


VERSION 21.6
------------
Nouvelle option pour ajouter des pièces jointes aux sondages
Nouvelle option d'export PDF des résultats d'un sondage
Nouvelle option de paramétrage général pour l'affichage par défaut des dossiers : Block ou Liste
Amélioration du mode d'affichage "ligne" des éléments
Amélioration de l'affichage des résultats du moteur de recherche et des nouveautés
Amélioration du menu de validation des inscriptions d'utilisateur aux espaces
Correction d'affichage des caractères accentués dans les "plugins" (nouveauté, recherche, raccourcis)
Corrections et optimisations diverses : "Txt::clean()", "Txt::reduce()", etc.
Nouveau droit pour les administrateurs d'espace pour gérer les affectations des utilisateurs
Changement de mode de numérotation des versions d'AP
Mise à jour de PHPMailer en v6.5.0
Mise à jour de Fancybox en v3.5.7
------
New general setting option for the default display of folders (Block / List)
New option to add attached files to surveys
New pdf export option of poll results
Improvement of the display "line" of elements
Improvement of search engine results and news
Improvement of the validation menu for user registrations to spaces
Correction of display of accented characters in "plugins" (new, search, shortcuts)
Various corrections and optimizations ("Txt::clean()", "Txt::reduce()", etc.)
New right for space administrators to manage user assignments
Changing the numbering mode of AP versions
PHPMailer updated to version 6.5.0
Fancybox updated to version 3.5.7 